@echo off
cd BIOS
echo Checking ROM file .....
ckmode DQ170000.211 DQ170 4032
if errorlevel 1 goto end

:flash
fpt.exe -f DQ170000.211 -savemac
if errorlevel 1 goto end
@cls
ECHO Update completed.
@ECHO.
ECHO ===Please press power button to shutdown first===
@ECHO.
@cd ..
goto exit

:end
echo Update not sucessful.
cd ..

:exit
exit

